PUT
/
v1
/
channels
/
{channelID}
/
privacy
Update privacy settings for a channel
curl --request PUT \
  --url https://api.wazapin.com/v1/channels/{channelID}/privacy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "call_add": "<string>",
  "group_add": "<string>",
  "last_seen": "<string>",
  "online": "<string>",
  "profile_photo": "<string>",
  "read_receipts": true,
  "status": "<string>"
}
'
{
  "data": {
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Path Parameters

channelID
string
required

Channel ID

Body

application/json
call_add
string
group_add
string
last_seen
string
online
string
profile_photo
string
read_receipts
boolean
status
string

Response

OK

data
object
required